- [HTTP request](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1/projects.locations.instances.cases.caseAlerts/fetchRecommendation#body.HTTP_TEMPLATE)
- [Path parameters](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1/projects.locations.instances.cases.caseAlerts/fetchRecommendation#body.PATH_PARAMETERS)
- [Query parameters](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1/projects.locations.instances.cases.caseAlerts/fetchRecommendation#body.QUERY_PARAMETERS)
- [Request body](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1/projects.locations.instances.cases.caseAlerts/fetchRecommendation#body.request_body)
- [Response body](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1/projects.locations.instances.cases.caseAlerts/fetchRecommendation#body.response_body)
  - [JSON representation](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1/projects.locations.instances.cases.caseAlerts/fetchRecommendation#body.FetchRecommendationResponse.SCHEMA_REPRESENTATION)
- [Authorization scopes](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1/projects.locations.instances.cases.caseAlerts/fetchRecommendation#body.aspect)
- [IAM Permissions](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1/projects.locations.instances.cases.caseAlerts/fetchRecommendation#body.aspect_1)
- [RecommendationResponseState](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1/projects.locations.instances.cases.caseAlerts/fetchRecommendation#RecommendationResponseState)

**Full name**: projects.locations.instances.cases.caseAlerts.fetchRecommendation

Fetches a previously generated AI-driven recommendation for an alert. Use this method to retrieve suggested actions or insights derived from similar historical alerts.

### HTTP request

`GET https://{endpoint}/v1/{parent}/caseAlerts:fetchRecommendation`

Where `{endpoint}` is one of the [supported service endpoints](https://docs.cloud.google.com/chronicle/docs/reference/rest#rest_endpoints).

### Path parameters

| Parameters ||
|---|---|
| `parent` | `string` Required. The unique name(ID) of the CaseAlert. |

### Query parameters

| Parameters ||
|---|---|
| `recommendationId` | `string` Required. The requested recommendation id. |

### Request body

The request body must be empty.

### Response body

Response message for caseAlerts.fetchRecommendation.

If successful, the response body contains data with the following structure:

| JSON representation |
|---|
| ``` { "recommendation": string, "alertIdentifierToCaseId": { string: integer, ... }, "marketplaceActionsTriggeredManually": [ string ], "state": enum (`https://docs.cloud.google.com/chronicle/docs/reference/rest/v1/projects.locations.instances.cases.caseAlerts/fetchRecommendation#RecommendationResponseState`) } ``` |

| Fields ||
|---|---|
| `recommendation` | `string` Output only. The recommendation text. |
| `alertIdentifierToCaseId` | `map (key: string, value: integer)` Output only. Mapping of alert identifiers to case IDs. An object containing a list of `"key": value` pairs. Example: `{ "name": "wrench", "mass": "1.3kg", "count": "3" }`. |
| `marketplaceActionsTriggeredManually[]` | `string` Optional. List of marketplace actions triggered manually. |
| `state` | ``enum (`https://docs.cloud.google.com/chronicle/docs/reference/rest/v1/projects.locations.instances.cases.caseAlerts/fetchRecommendation#RecommendationResponseState`)`` Output only. The recommendation response state. |

### Authorization scopes

Requires one of the following OAuth scopes:

- `https://www.googleapis.com/auth/cloud-platform`
- `
  https://www.googleapis.com/auth/chronicle`

For more information, see the [Authentication Overview](https://docs.cloud.google.com/docs/authentication#authorization-gcp).

### IAM Permissions

Requires the following [IAM](https://cloud.google.com/iam/docs) permission on the `parent` resource:

- `chronicle.caseAlerts.get`

For more information, see the [IAM documentation](https://cloud.google.com/iam/docs).

## RecommendationResponseState

The recommendation response state.

| Enums ||
|---|---|
| `RECOMMENDATION_RESPONSE_STATE_UNSPECIFIED` | The recommendation response state is unspecified. |
| `RUNNING` | The recommendation is running. |
| `SUCCEEDED` | The recommendation is succeeded. |
| `FAILED` | The recommendation is failed. |